KNX Association ETS6 Professional
KNX Association
ETS6 Professional
newcomer (95)val
asked by val
 

What are the ETS6 software requirements?

Does the ETS6 have any special components or software requirements for installation?

1

Answers

pioneer (209)sonny-s
answered by sonny-s
 

The ETS6 software version is fully supported on Microsoft Windows 10 x32/x64 (Version 20H2 or higher) or Microsoft Windows 11 x32/x64 operating systems.

While installing, the ETS6 requires additional components to be installed, such as .NET framework 4.8 and others that are not installed via the setup tool. However, there is no need for an alarm, because the setup informs the operating system that specific components need to be installed.

So if your computer has an internet connection, the operating system will try to automatically check for downloads and install them which will interrupt the ETS6 setup while it is not finished. If your PC is disconnected from the internet, you will need to manually install those components from any installation media.

ETS6 does not require admin rights for installation (required only for plug-ins installation). The setup itself has an access to a path C:\Program Files (x86)\Common Files\EIBA sc\Baggage set for the user group Everyone.

While installing the ETS6, there are non-supported interfaces and environments. Installation on a virtual environment (such as VM Ware, Virtual PC, etc) and via Remote Desktop is unknown territory, left at risk of the users doing that (warranty and support in those cases is not provided by the KNX Association). Also, the Serial RS232 communication ports are not supported. One of the other limits is that Linux and macOS are not mentioned as supported operating systems.

You know the answer?

Back to the product

Was the content helpful to you?

Ask your question
Advertisement Advertise here?
Flex Link Pro ad